import processing.sound.*;
SoundFile[] son;
// Sample sur texte
// Ce script permet de charge des sample en aiff ou mp3 
// et un texte sous forme brute (txt)
// d'analyse le texte 
// en connaitre le nombre de mots, de phrases, 
// savoir combien de fois chaque mot est utilisé
// et passer en revue le texte mot par mot 
// ou phrase par phrase
// et de déclencher des sons en fonction d'un test.
liste_fichiers liste;
texte montexte;
int trigger;

// Les variable à modifier !!!!!!
String dossier_source="sons"; // nom du dossier où se trouvent les sons
String s="Lovecraft.txt"; // nom du texte
int vitesse = 500; // la vitesse entre deux beat en millieme de secondes

void setup() {
  size(600, 600);
  // charger les fichiers mp3 ou aif dans "liste"
  liste = new liste_fichiers(dossier_source, "mp3|aif|wav");
  charge_sons(liste.fichiers);
  montexte=new texte(s);


  // quelques infos sur le texte analysé
  println("Dans le texte "+s);
  println("nombre de mots: "+montexte.nombre_mots);
  println("nombre de phrases: "+montexte.nombre_phrases);
  println("nombre de mots dans l'inventaire : "+montexte.inventaire.size());
  println("Mot le plus employé : -"+montexte.tri_mot[0]+"- "+montexte.tri_occurence[0]+ " fois");
  trigger = millis();
}

void draw() {
  if (millis() > trigger) {
    background(0);
    fill(255);

    //montexte.mot_suivant();
    montexte.phrase_suivante();
    String p=montexte.phrase;

    if (combien(p, "professeur|médecin|oncle") > 0) {
      son[0].play();
      fill(0, 255, 100);
      rect(0, 0, width*0.2, height);
    }

    if (combien(p, "mort|effrayant|créature|monstre") > 0) {
      fill(255, 0, 0);
      rect(width*0.2, 0, width*0.2, height);
      son[1].play();
    }

    if (combien(p, "culte|hiéroglyphes") > 0) {
      son[2].play();
      fill(0, 255, 0);
      rect(width*0.4, 0, width*0.2, height);
    }

    if (combien(p, "avec") > 0) {
      son[3].play();
      fill(0, 0, 255);
      rect(width*0.6, 0, width*0.2, height);
    }

    if (combien(p, "chien") > 0) {
      son[4].play();
      fill(100, 0, 255);
      rect(width*0.8, 0, width*0.2, height);
    }

    fill(255);
    montexte.affiche_stats();
    trigger = millis() + vitesse;
  }
}